Package edu.wisc.game.websocket

## Class WatchPlayer.PickEncoder

- java.lang.Object
- - edu.wisc.game.websocket.WatchPlayer.PickEncoder

- All Implemented Interfaces:
    `jakarta.websocket.Encoder`, `jakarta.websocket.Encoder.Text<Episode.Pick>`
  Enclosing class:
    WatchPlayer

      public static class WatchPlayer.PickEncoder
      extends Object
      implements jakarta.websocket.Encoder.Text<Episode.Pick>

  See https://docs.oracle.com/javaee/7/tutorial/websocket007.htm or https://www.baeldung.com/java-websockets for documentation on encoders

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jakarta.websocket.Encoder

      `jakarta.websocket.Encoder.Binary<T extends Object>, jakarta.websocket.Encoder.BinaryStream<T extends Object>, jakarta.websocket.Encoder.Text<T extends Object>, jakarta.websocket.Encoder.TextStream<T extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PickEncoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `String` | `encode​(Episode.Pick pick)` |
    `void` | `init​(jakarta.websocket.EndpointConfig ec)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PickEncoder

          public PickEncoder()

  - ### Method Detail

    - #### init

          public void init​(jakarta.websocket.EndpointConfig ec)

      Specified by:
        `init` in interface `jakarta.websocket.Encoder`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `jakarta.websocket.Encoder`

    - #### encode

          public String encode​(Episode.Pick pick)
                        throws jakarta.websocket.EncodeException

      Specified by:
        `encode` in interface `jakarta.websocket.Encoder.Text<Episode.Pick>`
      Throws:
        `jakarta.websocket.EncodeException`